Skip to main content
`Ctrl`+`K`

# DMLabelRewriteValues

Permute the values in a label, but some may be omitted

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelRewriteValues(DMLabel label, IS permutation)

Not collective

## Input Parameters

- label - the `DMLabel`

- permutation - the value permutation, permutation[old value] = new value, but some maybe omitted

## Output Parameter

- label - the `DMLabel` now with permuted values

## Note

The modification is done in-place

## See Also

`DMLabelPermuteValues()`, `DMLabel`, `DM`, `DMLabelPermute()`, `DMLabelCreate()`, `DMLabelGetValue()`, `DMLabelSetValue()`, `DMLabelClearValue()`

## Level

intermediate

## Location

src/dm/label/dmlabel.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages